Just wanted this to reach as many people as it can who happen to run into the same problem. If your upgrade to 6.1.1 results in crashing of the Reader...